Page MenuHomePhabricator

Decommission db1049
Closed, ResolvedPublic

Description

db1049's data has been copied over db1100. So it is ready to be decommissioned

  • - all system services confirmed offline from production use: Removed from mediawiki-config:
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/heira/dsh config removed
  • - remove site.pp (replace with role::spare if system isn't shut down immediately during this process.):

START NON-INTERRUPPTABLE STEPS

  • - disable puppet on host
  • - remove all remaining puppet references (include role::spare)
  • - power down host
  • - disable switch port & change switch port label to asset tag
  • - remove production dns entries & remove hostname entries in mgmt dns
  • - puppet node clean, puppet node deactivate, salt key removed

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - remove hostname label, remove hostname from visible label field in racktables (by onsite)
  • - system added back to spares tracking (by onsite)

Related Objects

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptSep 7 2017, 1:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Marostegui triaged this task as Medium priority.Sep 7 2017, 1:23 PM
Marostegui moved this task from Triage to Backlog on the DBA board.
Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Sep 7 2017, 4:01 PM

Change 378003 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Decommission db1049, add db1100 into production

https://gerrit.wikimedia.org/r/378003

Change 378003 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Decommission db1049, add db1100 into production

https://gerrit.wikimedia.org/r/378003

Change 378005 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Decommission db1049

https://gerrit.wikimedia.org/r/378005

Change 378005 merged by Jcrespo:
[operations/puppet@production] mariadb: Decommission db1049

https://gerrit.wikimedia.org/r/378005

Change 378010 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/software@master] dblists: Decommission db1048 and other pending updates

https://gerrit.wikimedia.org/r/378010

jcrespo updated the task description. (Show Details)Sep 14 2017, 11:25 AM

Change 378010 merged by Jcrespo:
[operations/software@master] dblists: Decommission db1048 and other pending updates

https://gerrit.wikimedia.org/r/378010

jcrespo added a subscriber: jcrespo.

Decomm. done , only references left are spare on site.pp and admin_install.

Marostegui moved this task from Backlog to Done on the DBA board.

As per Jaime comment, this is now ready to be handed over Chris.
Thanks!

Cmjohnson updated the task description. (Show Details)Dec 12 2017, 5:46 PM
Cmjohnson updated the task description. (Show Details)Dec 19 2017, 8:19 PM

This host still shows up in puppetdb, i.e. misses the deactivate step (e.g. visible in https://servermon.wikimedia.org/hosts/)

Cmjohnson closed this task as Resolved.Jan 10 2018, 3:48 PM